MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032065Open CASCADE[OCCT] OCCT:Samplespublic2021-01-19 00:162021-06-27 20:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032065: Samples - use MODULARIZE within WebGL sample
DescriptionIt is proposed using MODULARIZE option while building WebGL sample.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0032463verifiedkgv Open CASCADE Visualization - implement Image_AlienPixMap::Load() via emscripten_get_preloaded_image_data() 

-  Notes
(0098250)
kgv (developer)
2021-01-20 13:11

Patch is ready for review
- OCCT branch: CR32065.
(0098328)
osa (developer)
2021-01-22 10:53

The patch was reviewed without remarks
(0098374)
bugmaster (administrator)
2021-01-23 12:50

Combination -
OCCT branch : IR-2021-01-22
master SHA - 8948e18df815e356c59a750bd2711cb4a7914cec
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-22 SHA - 7cb485e51cb439852e1e1e0726af89f51d6d6db0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17720.020000000055 / 17721.200000000135 [-0.01%]
Products
Total CPU difference: 12428.380000000123 / 12412.630000000105 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 19367.234375 / 19300.265625 [+0.35%]
Products
Total CPU difference: 13821.875 / 13740.03125 [+0.60%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098549)
git (administrator)
2021-01-30 17:16

Branch CR32065_tmp has been deleted by inv.

SHA-1: 76b5a9baa6665a2f93260eb8cf6cfd5c459c24af

- Related Changesets
occt: master 5de4b704
Timestamp: 2021-01-18 17:50:52
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032065: Samples - use MODULARIZE within WebGL sample

Fixed multitouch input.

Module is now exported with global functions hidden via MODULARIZE
as global object OccViewerModule created by createOccViewerModule().
Global Module setup has been moved to occt-webgl-viewer.js.

Use EMSCRIPTEN_KEEPALIVE attribute istead of listing C functions via EXTRA_EXPORTED_RUNTIME_METHODS.
WasmOcctView now exports static methods as Module functions using EMSCRIPTEN_BINDINGS.

Standard_ASSERT_DBGBREAK_() is now defined using emscripten_debugger().
mod - adm/scripts/ios_build.sh Diff ] File ]
mod - adm/scripts/wasm_build.bat Diff ] File ]
mod - adm/scripts/wasm_custom.bat.template Diff ] File ]
mod - adm/scripts/wasm_sample_build.bat Diff ] File ]
mod - samples/webgl/CMakeLists.txt Diff ] File ]
mod - samples/webgl/main.cpp Diff ] File ]
mod - samples/webgl/occt-webgl-sample.html Diff ] File ]
add - samples/webgl/occt-webgl-viewer.js Diff ] File ]
add - samples/webgl/WasmOcctPixMap.cpp Diff ] File ]
add - samples/webgl/WasmOcctPixMap.h Diff ] File ]
mod - samples/webgl/WasmOcctView.cpp Diff ] File ]
mod - samples/webgl/WasmOcctView.h Diff ] File ]
mod - src/DrawResources/OCC_logo.png Diff ] File ]
mod - src/Standard/Standard_Assert.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-19 00:16 kgv New Issue
2021-01-19 00:16 kgv Assigned To => kgv
2021-01-19 13:24 kgv Relationship added child of 0031070
2021-01-20 13:11 kgv Note Added: 0098250
2021-01-20 13:11 kgv Assigned To kgv => osa
2021-01-20 13:11 kgv Status new => resolved
2021-01-22 10:53 osa Note Added: 0098328
2021-01-22 10:53 osa Assigned To osa => bugmaster
2021-01-22 10:53 osa Status resolved => reviewed
2021-01-23 12:50 bugmaster Note Added: 0098374
2021-01-23 12:50 bugmaster Status reviewed => tested
2021-01-23 13:06 bugmaster Test case number => Not required
2021-01-23 14:14 bugmaster Changeset attached => occt master 5de4b704
2021-01-23 14:14 bugmaster Status tested => verified
2021-01-23 14:14 bugmaster Resolution open => fixed
2021-01-30 17:16 git Note Added: 0098549
2021-06-27 20:19 kgv Relationship added parent of 0032463


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker